#
# Conditional build:
%bcond_with	autodeps	# don't BR packages needed only for resolving deps

%include	/usr/lib/rpm/macros.perl
Summary:	User & Group administration tools for Samba-OpenLDAP
Summary(pl.UTF-8):	Narzędzia do administracji użytkownikami i grupami dla Samby i OpenLDAP
Name:		smbldap-tools
Version:	0.9.10
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://download.gna.org/smbldap-tools/sources/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f52a626637c468d66a4e71f30c174873
URL:		https://gna.org/projects/smbldap-tools/
Patch0:		%{name}-configure.patch
Patch1:		%{name}-krb5.patch
Patch2:		%{name}-no-client-cert.patch
Patch3:		%{name}-podchecker.patch
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps}
BuildRequires:	perl-Crypt-SmbHash
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-ldap
%endif
Requires:	openldap
Requires:	samba
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In settings with OpenLDAP and Samba-LDAP servers, this collection is
useful to add, modify and delete users and groups, and to change Unix
and Samba passwords. In those context they replace the system tools to
manage users, groups and passwords.

%description -l pl.UTF-8
W połączeniu z OpenLDAP i serwerami Samba-LDAP ten zestaw narzędzi
jest użyteczny przy dodawaniu, modyfikowaniu i usuwaniu użytkowników i
grup oraz zmianie haseł w Uniksie i Sambie. W tym zastosowaniu mogą
zastąpić narzędzia systemowe do zarządzania użytkownikami, grupami i
hasłami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/smbldap-tools
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p smbldap.conf smbldap_bind.conf $RPM_BUILD_ROOT%{_sysconfdir}/smbldap-tools
install -p smbldap-config.cmd $RPM_BUILD_ROOT%{_sbindir}/smbldap-config
install -p smbldap-upgrade-0.9.6.cmd $RPM_BUILD_ROOT%{_sbindir}/smbldap-upgrade-0.9.6.pl

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 0.9.7-0
if [ "$1" -eq "2" ]; then ## Upgrade
	%{_sbindir}/smbldap-upgrade-0.9.6.pl || :
fi

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog FILES INFRA README INSTALL TODO
%doc doc/*.example doc/smbldap-tools.* doc/migration_scripts
%dir %{_sysconfdir}/smbldap-tools
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%attr(600,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%attr(755,root,root) %{_sbindir}/smbldap-config
%attr(755,root,root) %{_sbindir}/smbldap-groupadd
%attr(755,root,root) %{_sbindir}/smbldap-groupdel
%attr(755,root,root) %{_sbindir}/smbldap-grouplist
%attr(755,root,root) %{_sbindir}/smbldap-groupmod
%attr(755,root,root) %{_sbindir}/smbldap-groupshow
%attr(755,root,root) %{_sbindir}/smbldap-passwd
%attr(755,root,root) %{_sbindir}/smbldap-populate
%attr(755,root,root) %{_sbindir}/smbldap-useradd
%attr(755,root,root) %{_sbindir}/smbldap-userdel
%attr(755,root,root) %{_sbindir}/smbldap-userinfo
%attr(755,root,root) %{_sbindir}/smbldap-userlist
%attr(755,root,root) %{_sbindir}/smbldap-usermod
%attr(755,root,root) %{_sbindir}/smbldap-usershow
%attr(755,root,root) %{_sbindir}/smbldap-upgrade-0.9.6.pl
%{perl_vendorlib}/smbldap_tools.pm
%changelog
* Sun Aug 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smbldap-tools.git;a=log;h=master

* Sun Aug 04 2013 Jan Rękorajski <baggins@pld-linux.org> 158b150
- up to 0.9.10
- don't build man page from perl sources that do not contain pod macros

* Thu Dec 27 2012 Adam Gołębiowski <adamg@pld-linux.org> 9695884
- source0 url fix

* Thu Dec 27 2012 Adam Gołębiowski <adamg@pld-linux.org> 926efc9
- updated to 0.9.9

* Thu Dec 27 2012 Adam Gołębiowski <adamg@pld-linux.org> c30d596
- updated to 0.9.8

* Sun Apr 29 2012 Elan Ruusamäe <glen@pld-linux.org> e539312
- release 3

* Sun Apr 29 2012 Elan Ruusamäe <glen@pld-linux.org> 4984077
- add trigger to upgrade to 0.9.7

* Sun Apr 29 2012 Elan Ruusamäe <glen@pld-linux.org> 9aba1f3
- verbose files in sbindir; disable autodeps bcond (or drop it?)

* Sat Jan 28 2012 Adam Gołębiowski <adamg@pld-linux.org> 0a3de7e
- fix syntax error in smbldap-passwd.pl

* Thu Dec 15 2011 Jan Rękorajski <baggins@pld-linux.org> 05bb1e7
- rel 2
- fix no-client-cert.patch

* Tue Nov 22 2011 Jan Rękorajski <baggins@pld-linux.org> 0c9b27b
- rel 1

* Tue Nov 22 2011 Jan Rękorajski <baggins@pld-linux.org> 68165a8
- updated patches
- removed obsolete patches
- updated build system

* Mon Nov 14 2011 Jan Rękorajski <baggins@pld-linux.org> 13084a9
- fetch 0.9.7

* Thu Nov 05 2009 Jan Rękorajski <baggins@pld-linux.org> 10842a1
- rel 5
- fixed nasty typo in krb5 patch

* Thu Nov 05 2009 Jan Rękorajski <baggins@pld-linux.org> fa07a23
- typo

* Thu Jun 25 2009 Jan Rękorajski <baggins@pld-linux.org> dd55596
- rel 4
- properly handle K5KEY hash type (meaning password is stored as kerberos key)
- add basic kerberos settings on account creation

* Thu Jun 25 2009 Jan Rękorajski <baggins@pld-linux.org> fa58af8
- do not package junk

* Thu Jun 25 2009 Jan Rękorajski <baggins@pld-linux.org> de40a4f
- rel 3
- do not require client certificate

* Thu Jun 25 2009 Jan Rękorajski <baggins@pld-linux.org> 6c29adf
- correct syntax

* Mon Jun 22 2009 Jan Rękorajski <baggins@pld-linux.org> 722bba9
- rel 2
- add kerberos objectclasses and required fields if kerberos configured

* Thu Jun 18 2009 Jan Rękorajski <baggins@pld-linux.org> dd7a45f
- 0.9.6-pre1 (YES, it IS pre1, despite confusing file name)

